## Version Information

Version Information — Macros to check the libgdata version

## Functions

#define | GDATA_CHECK_VERSION()

## Types and Values

#define | GDATA_MAJOR_VERSION
#define | GDATA_MINOR_VERSION
#define | GDATA_MICRO_VERSION

## Description

libgdata provides compile-time version information.

## Functions

### GDATA_CHECK_VERSION()

    #define             GDATA_CHECK_VERSION(major,minor,micro)

Evaluates to `TRUE` if the version of the GData header files is the same as or newer than the passed-in version.

#### Parameters

major | major version (e.g. 1 for version 1.2.3) |
minor | minor version (e.g. 2 for version 1.2.3) |
micro | micro version (e.g. 3 for version 1.2.3) |

Since: 0.11.0

## Types and Values

### GDATA_MAJOR_VERSION

    #define GDATA_MAJOR_VERSION (0)

Evaluates to the major version of the GData headers at compile time. (e.g. in libgdata version 1.2.3 this is 1).

Since: 0.11.0

### GDATA_MINOR_VERSION

    #define GDATA_MINOR_VERSION (18)

Evaluates to the minor version of the GData headers at compile time. (e.g. in libgdata version 1.2.3 this is 2).

Since: 0.11.0

### GDATA_MICRO_VERSION

    #define GDATA_MICRO_VERSION (1)

Evaluates to the micro version of the GData headers at compile time. (e.g. in libgdata version 1.2.3 this is 3).

Since: 0.11.0